Bug 1300362 - [abrt] bodhi-client: bodhi:411:main:KeyError: 'title'
[abrt] bodhi-client: bodhi:411:main:KeyError: 'title'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:69f85590561ff7aa359d3e51999...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 09:53 EST by Eric Harney
Modified: 2016-12-20 13:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:02:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.03 KB, text/plain)
2016-01-20 09:53 EST, Eric Harney
no flags Details
File: environ (3.46 KB, text/plain)
2016-01-20 09:53 EST, Eric Harney
no flags Details

  None (edit)
Description Eric Harney 2016-01-20 09:53:21 EST
Description of problem:
In the f21 branch of python-amqp, I ran "bodhi -m".

Version-Release number of selected component:
bodhi-client-0.9.12.2-3.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 -tt /usr/bin/bodhi -m
executable:     /usr/bin/bodhi
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 main in /usr/bin/bodhi:411
#2 <module> in /usr/bin/bodhi:537
Comment 1 Eric Harney 2016-01-20 09:53:25 EST
Created attachment 1116670 [details]
File: backtrace
Comment 2 Eric Harney 2016-01-20 09:53:26 EST
Created attachment 1116671 [details]
File: environ
Comment 3 Jason Tibbitts 2016-02-18 20:24:03 EST
I'm seeing this as well.

> bodhi -m
No handlers could be found for logger "fedora.client.bodhi"
 epel-rpm-macros-6-4                          bugfix       testing   2016-02-10
 epel-rpm-macros-5-1                          newpackage   stable    2016-02-09
 epel-rpm-macros-6-2                          enhancement  stable    2016-02-10
 epel-rpm-macros-6-1                          newpackage   stable    2016-01-14
 cyrus-imapd-2.4.18-1.fc21                    security     stable    2015-11-20
 cyrus-imapd-2.4.18-1.fc22                    security     stable    2015-11-17
 cyrus-imapd-2.4.18-1.fc23                    security     stable    2015-11-17
 kcm_wacomtablet-2.1.0-2.20150702gitg8ad842e.fc22  bugfix       stable    2015-09-11
 kcm_wacomtablet-2.1.0-2.20150702gitg8ad842e.fc23  bugfix       stable    2015-09-18
 avahi-0.6.31-32.fc21                         bugfix       stable    2015-07-17
 avahi-0.6.31-32.fc22                         bugfix       stable    2015-07-17
 tig-2.1.1-1.fc21                             bugfix       stable    2015-04-18
 tig-2.1.1-1.fc22                             bugfix       stable    2015-04-15
 tig-2.1-1.fc21                               bugfix       stable    2015-03-15
 tig-2.1-1.fc22                               bugfix       stable    2015-03-15
 xu4-1.1-0.23.20150221svn3087.fc22            bugfix       stable    2015-02-25
 perl-Sys-Mmap-0.17-1.fc22                    bugfix       stable    2015-02-25
 perl-Parallel-ForkManager-1.12-1.fc22        bugfix       stable    2015-02-25
 denyhosts-2.6-6.el5                          bugfix       stable    2015-02-19
 denyhosts-2.6-20.el6                         bugfix       stable    2015-02-19
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 411, in main
    log.info(data['title'])
KeyError: 'title'
Comment 4 Randy Barlow 2016-10-18 00:56:19 EDT
Hello!

I have recently become the primary caretaker of Bodhi and I've inherited a number of issues related to bodhi 0.9. I wanted to be forthcoming with you that it will be difficult for me to fix issues with bodhi 0.9 while also pressing forward with bodhi 2, especially since I do not have any familiarity with the bodhi 0.9 codebase. I'm happy to keep this bug open to track the problem, but I would also encourage you to please test the bodhi 2 client (currently available in Rawhide and Copr[0]). Unfortunately, the bodhi 2 client is not backwards compatible with bodhi 0.9, so at this time I only plan for bodhi 2 to be released with Fedora 26 and EPEL 7 (with special permission from the EPEL SC).

Here are some options you could pursue for this issue:

0) Write a patch for me that can be applied with the spec file. If you are willing to take the time to learn the bodhi 0.9 code, write a patch, and test it, I am willing to accept patches to be applied during build.
1) Use Rawhide.
2) Install bodhi 2 from my Copr[0].

I apologize as I understand that this is probably disappointing news for you to hear, but I thought it would be better to be forthcoming than to let the bug languish. I appreciate your understanding!


[0] https://copr.fedorainfracloud.org/coprs/bowlofeggs/bodhi/
Comment 5 Fedora End Of Life 2016-11-24 10:05:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 13:02:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.